show that rel exp in dht does not work
[oweals/gnunet.git] / src / gns / test_gns_dht_lookup.sh
1 #!/bin/bash
2 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
3 which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
4
5 LOCATION=$(which gnunet-config)
6 if [ -z $LOCATION ]
7 then
8   LOCATION="gnunet-config"
9 fi
10 $LOCATION --version 1> /dev/null
11 if test $? != 0
12 then
13         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
14         exit 77
15 fi
16
17 TEST_IP="127.0.0.1"
18 MY_EGO="myego"
19 OTHER_EGO="delegatedego"
20
21 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
22 gnunet-arm -s -c test_gns_lookup.conf
23 gnunet-identity -C $OTHER_EGO -c test_gns_lookup.conf
24 DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep $OTHER_EGO | awk '{print $3}')
25 gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
26 gnunet-namestore -p -z $MY_EGO -a -n b -t PKEY -V $DELEGATED_PKEY -e never -c test_gns_lookup.conf
27 #This works
28 gnunet-namestore -p -z $OTHER_EGO -a -n www -t A -V $TEST_IP -e never -c test_gns_lookup.conf
29 #This doesn't
30 gnunet-namestore -p -z $OTHER_EGO -a -n www2 -t A -V $TEST_IP -e '5 s' -c test_gns_lookup.conf
31 sleep 6
32 gnunet-arm -r -c test_gns_lookup.conf
33 gnunet-arm -i gns -c test_gns_lookup.conf
34 gnunet-identity -D $OTHER_EGO -c test_gns_lookup.conf
35 #gnunet-namestore -z $MY_EGO -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c test_gns_lookup.conf
36 #gnunet-namestore -z $OTHER_EGO -d -n www -t A -V $TEST_IP  -e never -c test_gns_lookup.conf
37 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -u www.b.$MY_EGO -t A -c test_gns_lookup.conf`
38 RES_IP_REL=`$DO_TIMEOUT gnunet-gns --raw -u www2.b.$MY_EGO -t A -c test_gns_lookup.conf`
39 #gnunet-namestore -z $MY_EGO -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c test_gns_lookup.conf
40 gnunet-arm -e -c test_gns_lookup.conf
41 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
42
43 if [ "$RES_IP_REL" != "$TEST_IP" ]
44 then
45   echo "Failed to resolve to proper IP, got $RES_IP_REL. (relative expiration)"
46   #exit 1
47 fi
48 if [ "$RES_IP" == "$TEST_IP" ]
49 then
50   exit 0
51 else
52   echo "Failed to resolve to proper IP, got $RES_IP."
53   exit 1
54 fi